RHEL 2.1 / 3 / 4 : openmotif (RHSA-2006:0272)

High Nessus Plugin ID 21181


The remote Red Hat host is missing one or more security updates.


Updated openmotif packages that fix a security issue are now available.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

OpenMotif provides libraries which implement the Motif industry standard graphical user interface.

A number of buffer overflow flaws were discovered in OpenMotif's libUil library. It is possible for an attacker to execute arbitrary code as a victim who has been tricked into executing a program linked against OpenMotif, which then loads a malicious User Interface Language (UIL) file. (CVE-2005-3964)

Users of OpenMotif are advised to upgrade to these erratum packages, which contain a backported security patch to correct this issue.


Update the affected openmotif, openmotif-devel and / or openmotif21 packages.

See Also



Plugin Details

Severity: High

ID: 21181

File Name: redhat-RHSA-2006-0272.nasl

Version: $Revision: 1.16 $

Type: local

Agent: unix

Published: 2006/04/04

Modified: 2016/12/29

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:openmotif, p-cpe:/a:redhat:enterprise_linux:openmotif-devel, p-cpe:/a:redhat:enterprise_linux:openmotif21, cpe:/o:redhat:enterprise_linux:2.1, cpe:/o:redhat:enterprise_linux:3, cpe:/o:redhat:enterprise_linux:4

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2006/04/04

Reference Information

CVE: CVE-2005-3964

RHSA: 2006:0272